@import "src/assets/styles/_for-react-components.scss";

$parent: 'react-button-close';

@include block($parent) {
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  padding: 0;
  width: rem(40);
  height: rem(40);
  border-radius: 50%;
  background-color: var(--color-grey-500);
  transition: background-color 0.3s;
  position: relative;
  flex-shrink: 0;

  &::before,
  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    width: rem(16);
    height: 1px;
    background-color: var(--color-biege-100);
  }

  &::before {
    transform: translateY(-50%) translateX(-50%) rotate(45deg);
  }

  &::after {
    transform: translateY(-50%) translateX(-50%) rotate(-45deg);
  }

  @media (hover: hover) {
    &:hover {
      background-color: var(--color-grey-600);
    }
  }

  @include min-media('t') {
    width: rem(48);
    height: rem(48);
  }

  @include modifier($parent, "light-theme") {
    background-color: var(--color-biege-100);

    &::before,
    &::after {
      background-color: var(--color-grey-500);
    }

    @media (hover: hover) {
      &:hover {
        background-color: var(--color-biege-200);
      }
    }
  }
}
